summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-06-20 10:01:43 +0200
committerJim Meyering <meyering@redhat.com>2011-06-20 10:01:43 +0200
commit1d919fbb7fc5e75e3bf2835f9e2fccbe179b7d69 (patch)
treee0ab7c8bdf7b49f5e78ec41f3f9c46205e883cf2 /tests
parentea7c77df7faa8474074a767e7f9a3bef35dfdfbe (diff)
downloadcoreutils-1d919fbb7fc5e75e3bf2835f9e2fccbe179b7d69.tar.xz
tests: init.sh: use "sed 1q" in place of "head -1"
* tests/init.sh (warn_): Use "sed 1q" in place of "head -1". The latter is officially obsolete but more portable than "head -n1". Reported by Bernhard Voelker.
Diffstat (limited to 'tests')
-rw-r--r--tests/init.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/init.sh b/tests/init.sh
index 5878179fc..460937de4 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -84,7 +84,7 @@ warn_ ()
case $IFS in
' '*) printf '%s\n' "$*" >&2
test $stderr_fileno_ = 2 \
- || { printf '%s\n' "$*" | head -1 >&$stderr_fileno_ ; } ;;
+ || { printf '%s\n' "$*" | sed 1q >&$stderr_fileno_ ; } ;;
*) (IFS=' '; warn_ "$@");;
esac
}